=== debian/changelog ===
wsjtx (2.7.0~rc3+repack-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:36:20 +1100

wsjtx (2.7.0~rc3+repack-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:30:55 +0000

wsjtx (2.7.0~rc3+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc3+repack
    (https://wsjt.sourceforge.io/wsjtx-doc/Release_Notes_2.7.0-rc3.txt)
  * Refresh patches

 -- tony mancill <tmancill@debian.org>  Mon, 01 Jan 2024 12:05:42 -0800

wsjtx (2.7.0~rc2+repack-2) unstable; urgency=medium

  * Upload 2.7.0~rc2 to unstable (Closes: #1051182)
  * Update debian/gbp.conf for debian/latest

 -- tony mancill <tmancill@debian.org>  Sat, 16 Sep 2023 11:24:29 -0700

wsjtx (2.7.0~rc2+repack-1) experimental; urgency=medium

  * New upstream version 2.7.0~rc2+repack
  * Update debian/watch to use sf redirector
  * Update debian/uupdate.sh to no longer run gbp import-orig
  * Refresh patches for upstream 2.7.0~rc2
  * Add debian/gbp.conf for (partial) DEP-14 layout
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2 (no changes)

 -- tony mancill <tmancill@debian.org>  Sun, 03 Sep 2023 20:53:54 -0700
