=== debian/changelog ===
wsjtx (2.7.0~rc4+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc4+repack
    (https://wsjt.sourceforge.io/wsjtx-doc/Release_Notes_2.7.0-rc4.txt)
  * Refresh patches
  * Freshen my email address
  * Bump standards to 4.7.0 (no changes) 

 -- Dave Hibberd <hibby@debian.org>  Sat, 27 Apr 2024 12:49:18 +0100
