=== debian/changelog ===
wsjtx (2.7.0~rc6+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Sat, 20 Jul 2024 14:55:14 -0700

wsjtx (2.7.0~rc6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc6+dfsg.
  * Remove lib/superfox from orig tarball; these closed-source binaries for
    superfox operation must be obtained separately. (Other modes are
    unaffected.) See README.Debian for details.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Jul 2024 11:44:53 +0200

wsjtx (2.7.0~rc3+repack-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Sun, 07 Jan 2024 10:47:18 -0800

wsjtx (2.7.0~rc2+repack-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Sun, 17 Sep 2023 08:13:05 -0700
