=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
-Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
+Homepage: https://sourceforge.net/projects/wsjt/
 Rules-Requires-Root: no
 
 Package: wsjtx
@@ -48,19 +48,19 @@
  WSJT-X implements amateur radio communication protocols or "modes" called
  FST4, FST4W, FT4, FT8, JT4, JT9, JT65, Q65, MSK144, and WSPR, as well as one
  called Echo for detecting and measuring your own radio signals reflected from
- the Moon.  These modes were all designed for making reliable, confirmed QSOs
+ the Moon. These modes were all designed for making reliable, confirmed QSOs
  under extreme weak-signal conditions.
  .
  JT4, JT9, and JT65 use nearly identical message structure and source encoding
  (the efficient compression of standard messages used for minimal QSOs). They
- use timed 60-second T/R sequences synchronized with UTC.  JT4 and JT65 were
- designed for EME ("moonbounce") on the VHF/UHF/microwave bands.  JT9 is
- optimized for the MF, and HF bands.  It  is about 2 dB more sensitive than
- JT65 while using less than 10% of the bandwidth.  Q65 offers submodes with a
+ use timed 60-second T/R sequences synchronized with UTC. JT4 and JT65 were
+ designed for EME ("moonbounce") on the VHF/UHF/microwave bands. JT9 is
+ optimized for the MF, and HF bands. It is about 2 dB more sensitive than
+ JT65 while using less than 10% of the bandwidth. Q65 offers submodes with a
  wide range of T/R sequence lengths and tone spacings.
  .
- FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and  15 s
- long, respectively.  MSK144 is designed for Meteor Scatter on the VHF bands.
+ FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and 15 s
+ long, respectively. MSK144 is designed for Meteor Scatter on the VHF bands.
  These modes offer enhanced message formats with support for nonstandard
  callsigns and some popular contests.
  .
@@ -75,6 +75,9 @@
  WSPR mode implements a protocol designed for probing potential propagation
  paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
  including programmable "band-hopping".
+ .
+ This package does not contain non-free components required for "superfox"
+ operation. See README.Debian for more details.
 
 Package: wsjtx-data
 Architecture: all
