## wsjtx 2.7.0~rc7+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,6 +50,7 @@
   )
 set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
 set (CMAKE_PROJECT_DESCRIPTION ${PROJECT_DESCRIPTION})
+set (CMAKE_AUTOUIC ON) 
 
 #
 # Local CMake modules and support files
@@ -71,7 +72,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (RC 6)
+set_build_type (RC 7)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -126,6 +127,7 @@
 option (WSJT_RIG_NONE_CAN_SPLIT "Allow split operation with \"None\" as rig.")
 option (WSJT_TRACE_UDP "Debugging option that turns on UDP message protocol diagnostics.")
 option (WSJT_BUILD_UTILS "Build simulators and code demonstrators." ON)
+option (WSJT_FOX_OTP "Enable Fox OTP Verification Messages." ON)
 CMAKE_DEPENDENT_OPTION (WSJT_QDEBUG_IN_RELEASE "Leave Qt debugging statements in Release configuration." OFF
   "NOT is_debug_build" OFF)
 CMAKE_DEPENDENT_OPTION (WSJT_ENABLE_EXPERIMENTAL_FEATURES "Enable features not fully ready for public releases." ON
@@ -161,6 +163,12 @@
 set (WSJT_PLUGIN_DESTINATION ${PLUGIN_DESTINATION} CACHE PATH "Path for plugins")
 set (WSJT_QT_CONF_DESTINATION ${QT_CONF_DESTINATION} CACHE PATH "Path for the qt.conf file")
 
+if (WSJT_FOX_OTP)
+  set (wsjt_fox_CXXSRCS
+
+  )
+  message (STATUS "Including Fox verification code feature")
+endif ()
 
 #
 # Project sources
@@ -223,6 +231,7 @@
   widgets/DoubleClickableRadioButton.cpp
   Network/LotWUsers.cpp
   Network/FileDownload.cpp
+  Network/FoxVerifier.cpp
   models/DecodeHighlightingModel.cpp
   widgets/DecodeHighlightingListView.cpp
   models/FoxLog.cpp
@@ -242,6 +251,7 @@
   widgets/LazyFillComboBox.cpp
   widgets/CheckableItemComboBox.cpp
   widgets/BandComboBox.cpp
+  otpgenerator.cpp
   )
 
 set (wsjt_qtmm_CXXSRCS
@@ -292,6 +302,7 @@
   lib/crc10.cpp
   lib/crc13.cpp
   lib/crc14.cpp
+  ${wsjt_fox_CXXSRCS}
   )
 # deal with a GCC v6 UB error message
 set_source_files_properties (
@@ -342,6 +353,10 @@
   lib/wavhdr.f90
   lib/qra/q65/q65_encoding_modules.f90
   lib/ft8/ft8_a7.f90
+  lib/superfox/sfox_mod.f90
+  lib/superfox/julian.f90
+  lib/superfox/popen_module.f90
+  lib/superfox/qpc/qpc_mod.f90
 
   # remaining non-module sources
   lib/addit.f90
@@ -406,24 +421,3 @@
   lib/fast9.f90
   lib/fast_decode.f90
   lib/fchisq.f90
-  lib/fchisq0.f90
-  lib/fchisq65.f90
-  lib/fil3.f90
-  lib/fil3c.f90
-  lib/fil4.f90
-  lib/fil6521.f90
-  lib/filbig.f90
-  lib/ft8/filt8.f90
-  lib/fitcal.f90
-  lib/flat1.f90
-  lib/flat1a.f90
-  lib/flat1b.f90
-  lib/flat2.f90
-  lib/flat4.f90
-  lib/flat65.f90
-  lib/fmtmsg.f90
-  lib/foldspec9f.f90
-  lib/four2a.f90
-  lib/fspread_lorentz.f90
-  lib/ft8/foxfilt.f90
-  lib/ft8/foxgen.f90
