=== debian/changelog ===
wsjtx (2.7.0~rc7+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc7+repack.
  * Include superfox functionality, it is open source now. Yay!
  * Collect new licenses in copyright file.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Sep 2024 22:36:16 +0200
