=== debian/changelog ===
wsjtx (2.7.0~rc8+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc8+repack.
  * Remove CR from all patches, upstream switched.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Jan 2025 22:12:12 +0100
