=== debian/watch ===
--- 
+++ 
@@ -16,5 +16,5 @@
 #   https://qa.debian.org/watch/sf.php/wsjt/wsjtx-2.7.0-rc2/wsjtx-2.7.0-rc2.tgz (2.7.0~rc2) index=2.7.0~rc2-0
 
 version=3
-opts="uversionmangle=s/.*\/wsjtx-//;s/-rc/~rc/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,no-symlink" \
+opts="uversionmangle=s/.*\/wsjtx-//;s/-rc/~rc/,dversionmangle=s/\+repack//,repacksuffix=+repack,no-symlink" \
 http://sf.net/wsjt/wsjtx-(.*?)\.tgz debian debian/uupdate.sh
