=== debian/changelog ===
wsjtx (2.7.0+repack-1) unstable; urgency=medium

  * New upstream version 2.7.0+repack.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Feb 2025 16:06:08 +0100
