=== debian/control ===
--- 
+++ 
@@ -75,9 +75,6 @@
  WSPR mode implements a protocol designed for probing potential propagation
  paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
  including programmable "band-hopping".
- .
- This package does not contain non-free components required for "superfox"
- operation. See README.Debian for more details.
 
 Package: wsjtx-data
 Architecture: all
