## wsjtx 3.0.0~rc1%2Brepack

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,12 +45,12 @@
 endif ()
 
 project (wsjtx
-  VERSION 2.7.0.0
+  VERSION 3.0.0.0
   LANGUAGES C CXX Fortran
   )
 set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
 set (CMAKE_PROJECT_DESCRIPTION ${PROJECT_DESCRIPTION})
-set (CMAKE_AUTOUIC ON) 
+set (CMAKE_AUTOUIC ON)
 
 #
 # Local CMake modules and support files
@@ -72,7 +72,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (GA)
+set_build_type (RC 1)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -121,6 +121,8 @@
 files (WARNING: make clean will delete the source .ts files! Danger!)")
 option (WSJT_SHARED_RUNTIME "Debugging option that allows running from a shared Cloud directory.")
 option (WSJT_QDEBUG_TO_FILE "Redirect Qt debuging messages to a trace file.")
+option (WSJT_TRACE_CAT "Debugging option that turns on CAT diagnostics.")
+option (WSJT_TRACE_CAT_POLLS "Debugging option that turns on CAT diagnostics during polling.")
 option (WSJT_SOFT_KEYING "Apply a ramp to CW keying envelope to reduce transients." ON)
 option (WSJT_SKIP_MANPAGES "Skip *nix manpage generation.")
 option (WSJT_GENERATE_DOCS "Generate documentation files." ON)
@@ -165,7 +167,6 @@
 
 if (WSJT_FOX_OTP)
   set (wsjt_fox_CXXSRCS
-
   )
   message (STATUS "Including Fox verification code feature")
 endif ()
@@ -208,6 +209,7 @@
   Transceiver/TransceiverFactory.cpp
   Transceiver/PollingTransceiver.cpp
   Transceiver/HamlibTransceiver.cpp
+  Transceiver/TCITransceiver.cpp
   Transceiver/HRDTransceiver.cpp
   Transceiver/DXLabSuiteCommanderTransceiver.cpp
   Network/NetworkMessage.cpp
@@ -232,6 +234,7 @@
   Network/LotWUsers.cpp
   Network/FileDownload.cpp
   Network/FoxVerifier.cpp
+  Network/Cloudlog.cpp
   models/DecodeHighlightingModel.cpp
   widgets/DecodeHighlightingListView.cpp
   models/FoxLog.cpp
@@ -300,6 +303,13 @@
   widgets/qsymonitor.cpp
   )
 
+if (${CMAKE_CXX_COMPILER_ID} MATCHES "Clang")
+  set_source_files_properties (
+    widgets/plotter.cpp 
+    widgets/mainwindow.cpp
+    PROPERTIES COMPILE_FLAGS "-Wno-vla-extension")
+endif ()
+
 set (wsjt_CXXSRCS
   Logger.cpp
   lib/crc10.cpp
@@ -339,6 +349,7 @@
   lib/jt4_decode.f90
   lib/jt65_decode.f90
   lib/jt65_mod.f90
+  lib/jt65_mod6.f90 #ft8md
   lib/ft8_decode.f90
   lib/ft4_decode.f90
   lib/fst4_decode.f90
@@ -356,10 +367,13 @@
   lib/wavhdr.f90
   lib/qra/q65/q65_encoding_modules.f90
   lib/ft8/ft8_a7.f90
+  lib/ft8/ft8_a8d.f90
   lib/superfox/sfox_mod.f90
   lib/superfox/julian.f90
   lib/superfox/popen_module.f90
   lib/superfox/qpc/qpc_mod.f90
+  lib/ft8var/ft8_decodevar.f90
+  lib/ft8var/packjt77var.f90
 
   # remaining non-module sources
   lib/addit.f90
@@ -393,29 +407,3 @@
   lib/chkss2.f90
   lib/ft4/clockit.f90
   lib/ft8/compress.f90
-  lib/coord.f90
-  lib/db.f90
-  lib/decode4.f90
-  lib/decode65a.f90
-  lib/decode65b.f90
-  lib/decode9w.f90
-  lib/ft8/decode174_91.f90
-  lib/decoder.f90
-  lib/deep4.f90
-  lib/deg2grid.f90
-  lib/degrade_snr.f90
-  lib/demod64a.f90
-  lib/determ.f90
-  lib/downsam9.f90
-  lib/echosim.f90
-  lib/echo_snr.f90
-  lib/encode232.f90
-  lib/encode4.f90
-  lib/encode_msk40.f90
-  lib/encode_128_90.f90
-  lib/ft8/encode174_91.f90
-  lib/ft8/encode174_91_nocrc.f90
-  lib/entail.f90
-  lib/ephem.f90
-  lib/extract.f90
-  lib/extract4.f90
