=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	libqcustomplot-dev,
 	libqt5opengl5-dev,
 	libqt5serialport5-dev,
+	libqt5websockets5-dev,
 	libqwt-qt5-dev,
 	libsamplerate0-dev,
 	libudev-dev,
@@ -31,7 +32,7 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
-Homepage: https://sourceforge.net/projects/wsjt/
+Homepage: https://wsjt.sourceforge.io/wsjtx.html
 Rules-Requires-Root: no
 
 Package: wsjtx
